# -------------------------------------------------------- #
# ------------------------- macOS ------------------------ #
# -------------------------------------------------------- #
.DS_Store



# -------------------------------------------------------- #
# ------------------------- Java ------------------------- #
# -------------------------------------------------------- #
# folders
*/logs
*/logs/
*logs/

# files
*.class

*.jar
*.war
*.ear

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*



# ----------------------------------------------------------- #
# ------------------------- NetBeans ------------------------ #
# ----------------------------------------------------------- #
# files
*nbactions.xml

*.nb-gradle-properties



# ----------------------------------------------------------- #
# ------------------------- Eclipse ------------------------- #
# ----------------------------------------------------------- #
# files
*.classpath

*.project



# ----------------------------------------------------------- #
# ---------------------- IntelliJ IDEA ---------------------- #
# ----------------------------------------------------------- #
# folders
*/.idea
*/.idea/
*.idea/

*/.out
*/.out/
*.out/

# files
*.iml
*.ipr
*.iws



# ---------------------------------------------------------- #
# ------------------------- Gradle ------------------------- #
# ---------------------------------------------------------- #
# folders
*/.gradle
*/.gradle/
*.gradle/

*/.nb-gradle
*/.nb-gradle/
*.nb-gradle/

*/build
*/build/
*build/

# files. Ignore Gradle GUI config
gradle-app.setting

# Avoid ignoring Gradle wrapper jar file (.jar files are usually ignored)
!gradle-wrapper.jar

# Cache of project
.gradletasknamecache



# --------------------------------------------------------- #
# ------------------------- Maven ------------------------- #
# --------------------------------------------------------- #
# folders
*/target
*/target/
*target/


